import { writeFileSync } from 'fs';
import { convert } from '../schema/convert.js';
import { parseGraphqlSchema } from '../schema/parse.js';

async function parseSchema(options) {
    const schema = await parseGraphqlSchema({
        globPaths: options.paths,
    });
    const format = options.format ?? 'introspection';
    const extension = format === 'sdl' ? 'graphqls' : 'json';
    const output = options.target || `src/_schema.${extension}`;
    writeFileSync(output, convert(schema, format), {
        encoding: 'utf-8',
        flag: 'w',
    });
}
function parseGraphQLSchema(options) {
    return {
        name: 'parse-graphql-schema',
        buildStart: async () => {
            await parseSchema(options);
        },
    };
}

export { parseGraphQLSchema as default, parseSchema };
//# sourceMappingURL=parse.js.map
