import { introspectionFromSchema } from 'graphql';
import { printSchemaWithDirectives } from './print.js';

function convert(schema, format) {
    switch (format) {
        case 'sdl':
            return printSchemaWithDirectives(schema);
        case 'introspection':
            return JSON.stringify(introspectionFromSchema(schema));
        default:
            throw new Error(`Unknown format ${String(format)}`);
    }
}

export { convert };
//# sourceMappingURL=convert.js.map
